Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Mon, 14 Sep 2015 10:31:30 +0200

> I have been able to reproduce the disregarding `top` frame parameter
 > error with a much simpler example that does not involve
 > `ns-auto-hide-menu-bar`.  I'm not sure why these simple tests are
 > intermittently crashing the Emacs application with no user settings.

What does "crashing" mean in this context?

 > ;; WORKING -- respects `top` parameter.
 > (make-frame '(
 >    (top . 50)
 >    (left . 50)
 >    ;; (height . 250.0)
 >    (width . 250.0)))
 >
 > ;; BROKEN -- disregards `top` parameter.
 > (make-frame '(
 >    (top . 50)
 >    (left . 50)
 >    (height . 250.0)
 >    (width . 250.0)))

Anders said this worked in emacs 24.5 and doesn't work nowadays.  We'd
have to find the commit that broke that.  I can't.

martin